/**
 * Load a config partial from a JS module
 *
 * @param fullFilePath full path to the the file
 *
 * @returns If it's an ES6 module and has `default`, then `default` is returned,
 *   else returns the module as config partial.
 */
declare function loadJs(fullFilePath: string): unknown;
declare const _default: {
    json: typeof loadJs;
    js: typeof loadJs;
    yaml: (fullDirPath: string) => any;
    ts: typeof loadJs;
};
export = _default;
