"use strict";
const tslib_1 = require("tslib");
const _ = tslib_1.__importStar(require("lodash"));
const process_config_1 = tslib_1.__importDefault(require("./process-config"));
const compose_config_1 = tslib_1.__importDefault(require("./compose-config"));
const util_1 = tslib_1.__importDefault(require("./util"));
function hideProperties(obj, props) {
    props.forEach((prop) => {
        Object.defineProperty(obj, prop, {
            enumerable: false,
            writable: false,
            configurable: false
        });
    });
}
class Config {
    constructor(store) {
        this.store = store;
    }
    use(data) {
        util_1.default.merge(this.store, data);
    }
    defaults(data) {
        _.defaultsDeep(this.store, _.clone(data));
    }
    compose(info) {
        util_1.default.merge(this.store, compose_config_1.default(info));
    }
    process(options) {
        process_config_1.default(this.store, options);
    }
    reset() {
        const keys = Object.keys(this.store);
        keys.forEach((k) => {
            delete this.store[k];
        });
    }
}
function $get(p) {
    return _.get(this, p); // eslint-disable-line
}
function factory() {
    const store = {};
    store.$ = $get;
    store._$ = new Config(store);
    hideProperties(store, ["$", "_$"]);
    return store;
}
module.exports = factory;
//# sourceMappingURL=store.js.map